Jump to content

o5c4r

Members
  • Posts

    38
  • Joined

  • Last visited

Posts posted by o5c4r

  1. He seguido ese manual y al final de todo donde:

     

    Finishing the local update

     

    Once the update is finished, a XML file should be displayed in your browser. This is expected, but can surprise you, since it doesn't look like any regular web page, and each browser has its own way of displaying it. For instance, Firefox will first display a warning message, "This XML file does not appear to have any style information associated with it. The document tree is shown below", above the content of the XML file itself. This will be improved in later versions of the script.

    It should begin with the following line:

     

     

    <action result="ok" error="">

     

    Me ha salido:

    <action result="fail" error="34">

     

    Y me ha dado un petardazo en el backoffice y en el frontoffice:

    capturado.PNG

     

    Lo he probado en local,para no cargarme el del servidor

     

    Hacerlo en local es de obligado cumplimiento.

    Lamentablemente el error que te da el proceso es el mismo que me da a mí. Veo que no soy el único que esta atrapado en la versión 1.4.x. Estoy investigando con un colega para buscar una solución al problema. En cuanto tenga algo lo postearé en mi hilo por si te sirviera de ayuda. De momento estamos en proceso.

  2. Gracias por responder,

    intenté seguirlo pero hay cosas que no entiendo muy bien como hacerlas,si alguien lo tiene en español,me haría un favor o si alguien me ayuda

     

    saludos

     

    Cuenta que pasos has seguido y donde dudas para proseguir.

    El proceso es sencillo, otra cosa es que te funcione.

     

    Básicamente, el proceso es como hacer una actualización de versión en modo manual (como se hacía antes de la serie 1.5.x) en lo referente a la preparación de archivos.

    Una vez que hayas preparado todos los archivos debes ejecutar el proceso /install/upgrade/upgrade.php y rezar.

  3. Buenas,

     

    Os cuento los detalles del proceso de actualización que hemos seguido en nuestra tienda. Antes de nada doy algunos detalles de la instalación, sobre la actualidad y el objetivo a conseguir:

    • La tienda en producción en la web se realizó incialmente con la versión 1.3.1 y no se ha actualizado nunca. Es una una tienda deportiva con unos 1900 artículos.
    • No se han hecho cambios de ningun tipo sobre la version original (theme, classes, ddbb...)
    • No hay módulos modificados.
    • No se usan opciones complejas para transportista.

    A partir de aquí, el objetivo sería actualizar a la versión 1.5.3 o 1.5.4. La necesidad de subir a la versión 1.5.3 es por querer crear una multitienda para poder manejar precios y artículos distintos para público en general y para distribuidores autorizados.

     

    Para realizar todo el proceso de actualización se esta recurriendo a un XAMPP en local con PHP 5.3.1 y MySQL 5.1.41, donde se ha clonado la tienda actual en producción.

    Dado que en la versión 1.3.x no era soportado el proceso de actualización automática, 1click autoupgrade se recurre al proceso clásico de actualización mediante la instalación de nueva versión y opción actualizar la tienda actual (esto desaparece a partir de la 1.5.1)

    Por lo tanto, después de varios intentos fallidos por intentar llegar a una versión alta (1.4.x), llegamos a la conclusión de avanzar con pasos cortos. (Versiones de Prestashop) y tratando siempre de usar versiones estables, en medida de lo posible (no siempre viable).

    Desde la versión inicial 1.3.1.1 se ha llegado a la versión 1.4.10.0 siguiendo este orden:

    1. Desde 1.3.1.1 hacia 1.3.3.0 mediante instalación clásica. OK.
       
    2. Desde 1.3.3.0 hacia 1.4.0.1 mediante instalación clásica. OK.
       
    3. Desde 1.4.0.1 hacia 1.4.1.0 mediante instalación clásica. OK.
       
    4. Desde 1.4.1.0 hacia 1.4.10.0 mediante instalación clásica. OK.

    Como vemos, la versión alcanzada es la última de la serie 1.4.x.x, pero a partir de aquí todo son problemas por tratar de alcanzar una versión de la serie 1.5.x.x:

    1. Desde 1.4.10.0 hacia 1.5.0.1 mediante instalación clásica. ERROR (AJAX error parserror)
       
    2. Desde la 1.4.10.0 hacía la 1.5.3. mediante módulo 1clickupgrade. ERROR. Muchos fallos en el tratamiento de la base de datos. Tienda se queda anulada tras terminar el proceso. Front en blanco, Back con error y sin acceso a menus, no se puede hacer nada.

    Al comprobar que el módulo 1clickupgrade no funcionaba para subir automáticamente a la Major Version (1.5.3.1 en ese momento) disponible se pasó a intentar el proceso en modo avanzado con múltiples versiones:

    1. Desde la 1.4.10.0 hacía la 1.5.0.1. mediante módulo 1clickupgrade. ERROR. Muchos fallos en el tratamiento de la base de datos. Tienda se queda anulada tras terminar el proceso. Front en blanco, Back con error y sin acceso a menus, no se puede hacer nada.
       
    2. Desde la 1.4.10.0 hacía la 1.5.0.17. mediante módulo 1clickupgrade. ERROR. Muchos fallos en el tratamiento de la base de datos. Tienda se queda anulada tras terminar el proceso. Front en blanco, Back con error y sin acceso a menús, no se puede hacer nada.
       
    3. Desde la 1.4.10.0 hacía la 1.5.1.0. mediante módulo 1clickupgrade. ERROR. Muchos fallos en el tratamiento de la base de datos. Tienda se queda anulada tras terminar el proceso. Front en blanco, Back con error y sin acceso a menus, no se puede hacer nada.
       
    4. Desde la 1.4.10.0 hacía la 1.5.2.0. mediante módulo 1clickupgrade. ERROR. Muchos fallos en el tratamiento de la base de datos. Tienda se queda anulada tras terminar el proceso. Front en blanco, Back con error y sin acceso a menus, no se puede hacer nada.
       
    5. Desde la 1.4.10.0 hacía la 1.5.4.0. mediante módulo 1clickupgrade. ERROR. Muchos fallos en el tratamiento de la base de datos. Tienda se queda anulada tras terminar el proceso. Front en blanco, Back con error y sin acceso a menus, no se puede hacer nada.

    Después de estos intentos se pasaron a realizar pruebas con el proceso de actualización manual . Se han realizado los mismo intentos, mismas versiones que con el proceso automático pero el resultado ha sido siempre el mismo: Error: 34

     

     

    He probado también a subir a 1.5.x desde 1.4.7 y 1.4.9 pero tampoco ha funcionado.

     

     

    Se han seguido correctamente todos los pasos, en todas las opciones, y a pesar de haber realizado varios intentos y posibilidades, como he comentado, pero a partir de este punto, es imposible alcanzar una versión de la serie 1.5.x.

     

    ¿Alguna sugerencia?

  4. Yo he tenido este problema y también me ha llevado de cabeza, en mi caso porque no sabía cosas muy básicas que se dan por supuestas en las explicaciones de foros y tutoriales de Internet, y que no se comentan. Pego otros enlaces con soluciones que me ayudaron por si a alguien le son útiles:

    Crear copia de tienda en servidor local:

    http://www.prestasho...servidor-local/

     

    EL hilo que colgué con mis problemas de aprendiz:

    http://www.prestasho...age__p__1152859

     

    Es cierto, en muchos hilos se sobreentiende cierta información y se omite. Este fallo también lo tuve yo, en mi caso al contrario, en el settings, carpeta config, tenía bien configurada la base de datos pero no se porque razon al actualizar a la 1.4.10 todas lás páginas se me cargaban desde el dominio en produccion en la web. Cambié lo que comentas y listo. Yo tengo pendiente publicar un post con mi aventura particular sobre mi aventura actualizando desde 1.3.1 hasta 1.5.x, ya que actualmente no consigo pasar de la 1.4.10 y necesito ayuda.

     

    Saludos

     

    p.d.: y he buscado y rebuscado por el foro y la web aplicando todo tipo de pruebas...

  5. Hola a todos.

    Os escribo para ver si me podeis ayudar, tengo una tienda montada en la version 1.3.2 y quiero actualizar a la ultima version, esta tienda tiene mas de 2000 articulos y mas de 1200 clientes.

     

    Que pasos especificos a parte de sacar copia de seguridad de la base de datos, debo de hacer para poder actualizar a la ultima version y no perder ningun producto ni cliente.

     

    Saludos y gracias por todo.

     

    Perdón prestañero, ¿conseguiste tu objetivo?

  6. Nada mejor que el tutorial de Javier Valero:

    http://javier-valero...zar-prestashop/

     

    El tutorial que enlazas ya no funciona. Imagino que lo han quitado porque no funcionaba. Yo he probado todos los medios posibles para actualizar desde 1.3.1 a 1.5.3 (bueno ya esta la 1.5.4) y he conseguido llegar al tope de la 1.4.x, la 9 o la 10 que se supone es la estable. Hasta aquí todo bien, pero pasar a cualquier version de la 1.5.x es hasta ahora IMPOSIBLE, y repito lo he probado todo, solo me queda revisar mi XAMPP que actualmente corre PHP 5.3.1 y MySQL 5.1.41. por si esto pudiera suponer un conflicto, y seria lo último a probar antes de tirar definitivamente la toalla porque no es por desanimar, pero yo ya desisto.

    Lo último que tengo pendiente de hacer es escribir un megapost exponiendo mi aventura para ver si recibo ayuda. Hasta ahora todo lo que he mirado y remirado en el foro no me ha servido.

     

    Suerte Prestañero!

  7. :(

     

    Si te has sentido ofendido, mis disculpas te mando.

     

    No vi que a los 20 minutos habias puesto el enlace..

     

    No hay ofensa alguna, Rubalcaba. Creo que es correcto lo que has hecho. Yo fui el que no buscó bien. Lo del enlace, me di cuenta justo al postear, y poco después lo actualicé. Fué casualidad que leyeras el original mientras yo enmendaba el fallo con la edicción. Es una situación comprensible. Más que ofendido me sentí corregido. Pero como me gusta hacer y reconocer bien las cosas, pues eso, que hablando se entiende la gente, y posteando también pero de otro modo.

     

    P.D.: Off Topic:(Ando como loco buscando la mejor manera de actualizar desde la 1.4.10.0, no he podido ni con la 1.5. 3.1 ni con la 1.5.0.1, sigo buscando...) ENCONTRADO! lo voy a aplicar, pero ya dejo de dar el tostón en este hilo.

  8. Tal vez me precipité al pedir ayuda al foro, lo siento. Y si, tal vez no busqué lo suficiente. Al, menos, aporto aquí los resultados. No quiero ser el típico usuario que se "larga" una vez encuentra lo que busca. Por cierto, aporte el link, con un edit, pocos segundos después del post. Pero acabo de leer tu post en el que me enmendabas.(no lo vi mientras editaba...)

    Gracias Rubalcaba.

  9. Ya encontré la respuesta. Copio pego aquí:

     

    --------------------

     

    Problema típico al mover Prestashop 1.4 a producción desde localhost

     

    (o al contrario)

     

    Me he encontrado un cambio un poco tonto en la versión 1.4.0.17 de Prestashop que me ha llevado de cabeza. El problema ha surgido al pasar de localhost a producción, es decir, a la web.

    La tienda se mostraba correctamente, pero cuando hacia click sobre un producto, o categoría, o cualquier otro tipo de enlace, me salía una página de error 404. Al mirar donde apuntaba el enlace, me di cuenta que en lugar de hacerlo sobre http://www.midominio.com, lo hacía sobre http://localhost/ . Para arreglar esto hay dos soluciones posibles.

    • Entrar en el phpmyadmin y en la tabla PS_CONFIG, en el registro PS_SHOP_DOMAIN escribir la dirección web de tu página (veréis que antes de modificar apunta a localhost).

    Otra opción más sencilla en prestashop 1.4 es ir a al Back Office (BO) de la tienda que habéis colgado en internet, y en Preferencias -> SEO, donde pone “Nombre de dominio”, escribir http://www.dominiovuestratienda.extension.

     

    ----------------------------

     

    espero que sirva de ayuda

     

    (he copi/pegado el texto por si desaparece la fuente, que es: http://zerowolf.wordpress.com/2012/01/12/prestashop-de-localhost-a-produccion/)

  10. Hola,

     

    Me pasa lo mismo. La pagina clonada que creo en local, todos los enlaces del front apuntan a la pagina original en produccion que esta en Internet. Actualmente estoy actualizando a la ultima versión, pero me encuentro actualmente en la 1.4.1.0 y he buscado en la base de datos la tabla PS_BASE_URI pero no está.

    ¿Donde puedo cambiar este dato para que me apunte a localhost?

    ¿Carmaruiz, puedes comentar que hiciste tu?

  11. Hi,

     

    I am trying to use this module to export all of my products from a PS 1.3.1.1 to 1.5.3 but when I donwnload the .CSV file generated with all fields selected, there are no registers, just only field names.

    It gives no error, but it gives no results.

     

    Any idea?

     

    Any functional module wich works on PS 1.3.1.1? Included non-free ones.

  12. Hola,

     

    Lo primero, he ubicado aqui mi asunto por tratarse de la misma problemática. Si es necesario abrir otro hilo, asi lo hago. Soy novato en el foro y no se si hago lo correcto. Bueno a lo que voy:

     

    El escenario consiste en una actualización a realizar sobre la versión 1.3.1.1. actual de la tienda.

    El objetivo es actualizar a la última versión actual, la 1.5.3.

    Leyendo he llegado a la conclusión de hacer un update intermedio hacia la version 1.4.7.0

    He realizado los pasos sugeridos por Victor en el enlace de la guía de instalación y el proceso me devuelve un error que mis conocimientos no llegan a dar solución. Por favor, si es posible agradecería una orientación o camino a seguir.

    Me estoy proponiendo hacer update version a version pero antes de empezar este proceso lento expongo aqui mi problema.

     

     

     

    A continuación pantallazo del error:

     

    errorupdatedesde1311a14.png

     

    y a continuación, líneas del codigo afectado:

     

    lineasdbphp.png

     

     

    Saludos,

     

    Oscar

     

    p.d.: Si DonMinuto pudiera comentar que pasos realizó, sería de agradecer.

  13. Hola comunidad PS!

     

    Llevo tiempo haciendo uso del foro en modo lector. Me dedico a la informática de sistemas en general y también el mundo del diseño web. A finales del año pasado me hicieron un encargo basado en prestashop. Se trata de migrar una versión vieja, la 1.3.1. a la nueva 1.5.3. Lo he tomado con paciencia y después de hacerme un curso avanzado de prestashop (hay que invertir tiempo y dinero para conseguir frutos) y probar, probar, probar... ya me voy situando en este nuevo submundo. Estoy encantado con mi nuevo juguete (love open source projects) y sobre todo ver la gran comunidad que mantiene vivo a PS y de la que a partir de ahora paso a formar parte activa. Ya que mis conocimientos de programación son reducidos (en proyecto ampliarlos) no se si podré ayudar todo lo que quisiera a este respecto pero haré lo que pueda.

     

    Saludos a todo el mundo PS!

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More